Subject: RE: [Simple] RE: draft-lonnfors-simple-binpidf-00.txt

From: [email-masked]
Date: Tue, 15 Apr 2003 14:30:45 +0300

Hi,

I have also come to same conclusion that mechanism below could be better
that what is currently written into the draft. At least it will make it
bit simpler and probably more generic.
If no one objects next version of the draft will be modified
accordingly.

- Mikko

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, April 15, 2003 11:14 AM
> To: [email-masked]; Khartabil Hisham (NMP/Helsinki); 
> [email-masked]
> Subject: RE: [Simple] RE: draft-lonnfors-simple-binpidf-00.txt
> 
> 
> I think the draft should only define a single element that is 
> used to embed external (to the PIDF) content. In fact, I 
> think such an element should look much like an <OBJECT> tag 
> in HTML 4.0.
> 
> Having said that, there are three possible cases enabled by 
> such an element:
> 
> 1) A "direct" http: (or ftp:, etc.) URL to external content
> 2) A cid: URL to content within the same message body, i.e., 
> a part of a MIME multipart
> 3) A cid: URL to indirect content within the same message 
> body, i.e., a part of a MIME
>    multipart that is of type message/external-body
> 
> Cheers,
> Aki
> 
>  > -----Original Message-----
>  > From: ext Adam Roach [mailto:[email-masked]]
>  > Sent: 10 April, 2003 20:58
>  > To: Khartabil Hisham (NMP/Helsinki); Adam Roach; 
> [email-masked]  > Subject: RE: [Simple] RE: 
> draft-lonnfors-simple-binpidf-00.txt
>  > 
>  > 
>  > My personal preference is the indirect approach, if for no
>  > other reason than the fact that it requires less specification.  > 
>  > /a
>  > 
>  > > -----Original Message-----
>  > > From: [email-masked] 
>  > [mailto:[email-masked]]
>  > > Sent: Thursday, April 10, 2003 2:44
>  > > To: [email-masked]; [email-masked]
>  > > Subject: RE: [Simple] RE: draft-lonnfors-simple-binpidf-00.txt
>  > > 
>  > > 
>  > > Actually, we put both solutions in for discussion purposes 
>  > > and to get consensus from the list on which is a better 
>  > > solution, before we settle for one.
>  > > 
>  > > We should have mentioned this in the draft, my apologies.  > > 
>  > > Which is your favourite? Direct link reduces the overall 
>  > > message size, but indirect link in a cleaner solution.
>  > > 
>  > > Regards,
>  > > Hisham
>  > > 
>  > > > -----Original Message-----
>  > > > From: ext Adam Roach [mailto:[email-masked]]
>  > > > Sent: Wednesday, April 09, 2003 9:04 PM
>  > > > To: [email-masked]
>  > > > Subject: [Simple] RE: draft-lonnfors-simple-binpidf-00.txt
>  > > > 
>  > > > 
>  > > > I have one minor comment on the current binpidf draft.
>  > > > 
>  > > > It's not clear what the motivation for having both
>  > > > direct and indirect links to external content are.
>  > > > The rationale for having multiple ways to do it
>  > > > should probably be discussed in the document. In
>  > > > particular, it would probably be worthwhile to
>  > > > explicitly provide an analysis of why the flexibility
>  > > > is worth the additional code that implementors
>  > > > will need to write to support both modes of operation.
>  > > > 
>  > > > /a
>  > > > _______________________________________________
>  > > > Simple mailing list
>  > > > [email-masked]
>  > > > https://www1.ietf.org/mailman/listinfo/simple
>  > > > 
>  > > 
>  > _______________________________________________
>  > Simple mailing list
>  > [email-masked]
>  > https://www1.ietf.org/mailman/listinfo/simple
>  > 
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/simple
> 
_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple